Sender Profiles
GET
/workspaces/{workspaceId}/sender-profiles
Retrieve a list of sender profiles associated with the account
Abfrageparameter
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.name
string
erforderlich
results.email
object
Untergeordnete Attribute anzeigen
results.email.username
string
erforderlich
results.email.domain
string
erforderlich
results.allowedEntities
array of object
Untergeordnete Attribute anzeigen
results.allowedEntities.entityType
string
erforderlich
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
erforderlich
results.channelId
string
erforderlich
results.signature
string
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/sender-profiles
Create a new sender profile, defining its name, and other attributes.
Anfrage-Payload
name
string
erforderlich
username
string
allowedEntities
array of object
Untergeordnete Parameter anzeigen
allowedEntities.entityType
string
erforderlich
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
erforderlich
channelId
string
erforderlich
signature
string
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Retrieve information about a specific sender profile, including its name, and other attributes.
Antwort-Payload
id
string
erforderlich
name
string
erforderlich
email
object
Untergeordnete Attribute anzeigen
email.username
string
erforderlich
email.domain
string
erforderlich
allowedEntities
array of object
Untergeordnete Attribute anzeigen
allowedEntities.entityType
string
erforderlich
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
erforderlich
channelId
string
erforderlich
signature
string
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Modify the details of a specific sender profile, such as its name or other attributes.
Anfrage-Payload
name
string
username
string
signature
string
allowedEntities
array of object
Untergeordnete Parameter anzeigen
allowedEntities.entityType
string
erforderlich
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
erforderlich
channelId
string
Antwort-Payload
id
string
erforderlich
name
string
erforderlich
email
object
Untergeordnete Attribute anzeigen
email.username
string
erforderlich
email.domain
string
erforderlich
allowedEntities
array of object
Untergeordnete Attribute anzeigen
allowedEntities.entityType
string
erforderlich
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
erforderlich
channelId
string
erforderlich
signature
string
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Remove a specific sender profile.
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/sender-profiles/signature-variables
Retrieve a list of variables to use for signature configuration in sender profile.
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
results.name
string
results.defaultDescription
string
results.variable
string
results.category
string
results.replacementAttribute
string
results.langDescription
object
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/signature-variables' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/users/{userId}/sender-profiles
Retrieve a list of sender profiles associated with a user.
Abfrageparameter
channelId
string
Filter by channelId
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.name
string
erforderlich
results.email
object
Untergeordnete Attribute anzeigen
results.email.username
string
erforderlich
results.email.domain
string
erforderlich
results.allowedEntities
array of object
Untergeordnete Attribute anzeigen
results.allowedEntities.entityType
string
erforderlich
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
erforderlich
results.channelId
string
erforderlich
results.signature
string
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/users/{userId}/sender-profiles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'